// To parse this JSON data, do
//
//     final speiderResult = speiderResultFromJson(jsonString);

import 'dart:convert';

SpeiderResult speiderResultFromJson(String str) => SpeiderResult.fromJson(json.decode(str));

String speiderResultToJson(SpeiderResult data) => json.encode(data.toJson());

class SpeiderResult {
  SpeiderResult({
    this.goScroll,
    this.totalNum,
    this.list,
    this.pageId,
  });

  bool goScroll;
  int totalNum;
  List<ListElement> list;
  String pageId;

  factory SpeiderResult.fromJson(Map<String, dynamic> json) => SpeiderResult(
    goScroll: json["goScroll"],
    totalNum: json["totalNum"],
    list: List<ListElement>.from(json["list"].map((x) => ListElement.fromJson(x))),
    pageId: json["pageId"],
  );

  Map<String, dynamic> toJson() => {
    "goScroll": goScroll,
    "totalNum": totalNum,
    "list": List<dynamic>.from(list.map((x) => x.toJson())),
    "pageId": pageId,
  };
}

class ListElement {
  ListElement({
    this.itemId,
    this.img,
    this.remark,
    this.updateTime,
    this.title,
    this.url,
  });

  String itemId;
  String img;
  String remark;
  DateTime updateTime;
  String title;
  String url;

  factory ListElement.fromJson(Map<String, dynamic> json) => ListElement(
    itemId: json["itemId"],
    img: json["img"],
    remark: json["remark"],
    updateTime: DateTime.parse(json["updateTime"]),
    title: json["title"],
    url: json["url"],
  );

  Map<String, dynamic> toJson() => {
    "itemId": itemId,
    "img": img,
    "remark": remark,
    "updateTime": updateTime.toIso8601String(),
    "title": title,
    "url": url,
  };
}
